Package de.tudresden.sumo.objects

## Class SumoStopFlags

- java.lang.Object
- - de.tudresden.sumo.objects.SumoStopFlags

- All Implemented Interfaces:
    `SumoObject`
  Direct Known Subclasses:
    `SumoStopFlags`

      public class SumoStopFlags
      extends Object
      implements SumoObject

  Author:
    Mario Krumnow

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `containerTriggered` |
    `boolean` | `isBusStop` |
    `boolean` | `isChargingStationStop` |
    `boolean` | `isContainerStop` |
    `boolean` | `isParkingAreaStop` |
    `boolean` | `parking` |
    `boolean` | `stopped` |
    `boolean` | `triggered` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoStopFlags​(boolean parking, boolean triggered, boolean containerTriggered, boolean isBusStop, boolean isContainerStop, boolean isChargingStationStop, boolean isParkingAreaStop)` |
    `SumoStopFlags​(byte id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte` | `getID()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### stopped

          public boolean stopped

    - #### parking

          public boolean parking

    - #### triggered

          public boolean triggered

    - #### containerTriggered

          public boolean containerTriggered

    - #### isBusStop

          public boolean isBusStop

    - #### isContainerStop

          public boolean isContainerStop

    - #### isChargingStationStop

          public boolean isChargingStationStop

    - #### isParkingAreaStop

          public boolean isParkingAreaStop

  - ### Constructor Detail

    - #### SumoStopFlags

          public SumoStopFlags​(boolean parking,
                               boolean triggered,
                               boolean containerTriggered,
                               boolean isBusStop,
                               boolean isContainerStop,
                               boolean isChargingStationStop,
                               boolean isParkingAreaStop)

    - #### SumoStopFlags

          public SumoStopFlags​(byte id)

  - ### Method Detail

    - #### getID

          public byte getID()